# MPI_Graph_neighbors_count

## NAME

MPI_Graph_neighbors_count − Returns the number of neighbors of a node associated with a graph topology.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Graph_neighbors_count(MPI_Comm comm, int rank,

|  | int *nneighbors)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_GRAPH_NEIGHBORS_COUNT(COMM, RANK, NNEIGHBORS, IERROR)

| INTEGER |  |  | COMM, RANK, NNEIGHBORS, IERROR

## C++ Syntax

#include <mpi.h>
int Graphcomm::Get_neighbors_count(int rank) const

## INPUT PARAMETERS

| comm |  | Communicator with graph topology (handle). |
| rank |  | Rank of process in group of comm (integer). |

## OUTPUT PARAMETERS

nneighbors

Number of neighbors of specified process (integer).

| IERROR |  | Fortran only: Error status (integer). |

## DESCRIPTION

MPI_Graph_neighbors_count and MPI_Graph_neighbors provide adjacency information for a general, graph topology. MPI_Graph_neighbors_count returns the number of neighbors for the process signified by rank.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

## SEE ALSO

MPI_Graph_neighbors

MPI API Index